Bug 59985 - [SDK Manager] Android SDK components are not loading in SDK manager
Summary: [SDK Manager] Android SDK components are not loading in SDK manager
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android SDK Manager (show other bugs)
Version: 4.7.0 (15.4)
Hardware: PC Windows
: --- blocker
Target Milestone: 15.4
Assignee: vga
URL:
Depends on:
Blocks:
 
Reported: 2017-10-05 13:41 UTC by Mohak Barokar
Modified: 2017-10-06 13:01 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: No
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Mohak Barokar 2017-10-05 13:41:41 UTC
Android SDK components are not loading in SDK manager

=========================================================================

SDK Manager Version 0.1.76.0

=========================================================================

Steps:
1. Download SDK manager from market place : https://marketplace.visualstudio.com/items?itemName=Xamarin.XamarinAndroidSDKManager
2. Install SDK manager
3. Launch SDK Manager from VS 2017
4. Set Android SDK path in SDK manager
 
Expected Result:
All Installed SDK Components should be reflected in SDK Manager

Actual Result:
SDK Manager shows no SDK Components

=========================================================================

Frequency of Reproduction:
Happens every time (100% failure rate)

=========================================================================

Screen-Cast Link: https://www.screencast.com/t/t3vP1r5OZ


=========================================================================

Trello card Link: https://trello.com/c/XXyZXD90/52-willow-android-25-bump

=========================================================================

Note: SDK Manager Version 0.1.80.0 is working fine 

SDK Manager 0.1.80.0 is taken from : https://wrench.internalx.com/Wrench/ViewLane.aspx?lane_id=5164&host_id=315&revision_id=912868
Comment 1 Nina 2017-10-05 13:44:40 UTC
Victor, we need to push SDK manager 0.1.80.0 to the VS gallery and it should fix this issue.
Comment 2 vga 2017-10-05 15:46:18 UTC
Will do!
Comment 3 vga 2017-10-06 04:16:53 UTC
The VS gallery has been updated with the 1.0.80 version of the MSI now.
Comment 4 Mohak Barokar 2017-10-06 13:01:14 UTC
Verified this bug with market place build Version 0.1.80.0 and its working fine. Marking this bug as verified fixed